# Configuration of the display manager
---

  - name: LightDM | Install Slick Greeter
    ansible.builtin.apt:
      name: slick-greeter
      state: present

  - name: LightDM | Configure LightDM
    ansible.builtin.template:
      src: lightdm.j2
      dest: /usr/share/lightdm/lightdm.conf.d/02-zsl.conf
      owner: root
      group: root
      mode: 0755

  - name: LightDM | Configure Slick Greeter
    ansible.builtin.template:
      src: lightdm-slick.j2
      dest: /etc/lightdm/slick-greeter.conf
      owner: root
      group: root
      mode: 0755

  - name: LightDM | Insert settings in lightdm.conf (lightdm.conf.d doesn't ovverride some settings)
    ansible.builtin.replace:
      path: /etc/lightdm/lightdm.conf
      regexp: '#greeter-hide-users\=false'
      replace: 'greeter-hide-users=false'